From bd54b6fd54234c1f4a7ba33ecf7902ef459c2c22 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 05 2020 06:49:41 +0000
Subject: [PATCH 1264/2232] Add CFG exported header fields


---

diff --git a/gen/build/src/cfg.rs b/gen/build/src/cfg.rs
index d18a2c0..954481b 100644
--- a/gen/build/src/cfg.rs
+++ b/gen/build/src/cfg.rs
@@ -1,9 +1,17 @@
 use std::fmt::{self, Debug};
 use std::marker::PhantomData;
+use std::path::Path;
 
 /// Build configuration. See [CFG].
 pub struct Cfg<'a> {
     pub include_prefix: &'a str,
+    // Not implemented yet. https://github.com/dtolnay/cxx/issues/417
+    #[doc(hidden)]
+    pub exported_header_dirs: Vec<&'a Path>,
+    #[doc(hidden)]
+    pub exported_header_prefixes: Vec<&'a str>,
+    #[doc(hidden)]
+    pub exported_header_links: Vec<&'a str>,
     marker: PhantomData<*const ()>, // !Send + !Sync
 }
 
@@ -62,6 +70,9 @@ pub struct Cfg<'a> {
 #[cfg(doc)]
 pub static mut CFG: Cfg = Cfg {
     include_prefix: "",
+    exported_header_dirs: Vec::new(),
+    exported_header_prefixes: Vec::new(),
+    exported_header_links: Vec::new(),
     marker: PhantomData,
 };
 
@@ -123,6 +134,9 @@ mod r#impl {
                 .str();
             super::Cfg {
                 include_prefix,
+                exported_header_dirs: Vec::new(),
+                exported_header_prefixes: Vec::new(),
+                exported_header_links: Vec::new(),
                 marker: PhantomData,
             }
         }

